#ifndef __StepSlider__
#define __StepSlider__

#ifndef GUI_DLL 
    #ifdef GUI_BUILD
	    #define GUI_DLL __declspec(dllexport)
    #else
	    #define GUI_DLL __declspec(dllimport)
        #pragma comment(lib, "WindowManager.lib")
    #endif
#endif


#include "Window.h"


class GUI_DLL StepSlider : public Window {
public:
    StepSlider(Window* parent = 0);
    virtual ~StepSlider();

    int getValue();
    void  setValue(int value);

    int  getMinValue();
    int  getMaxValue();
    int  getStep();

    void setMinValue(int minValue);
    void setMaxValue(int maxValue);
    void setStep(int step);

protected:
    void onMouseLeftDown(Event& event);

    int _minValue, _maxValue, _step;

    class _Slider;
    _Slider* _slider;
};

#endif